package com.ruoyi.system.domain.vo;

import org.apache.poi.hpsf.Decimal;

public class FracturingEngineeringVo {
    public Decimal instantaneousPower;
    public Decimal averageContinuousPower;
    public Decimal averagePower;
    public String singleParagraphDuration;
    public Integer totalNumberPlannedSegments;
    public Decimal batteryEfficiency;
    public Decimal dodDepth;
    public Decimal variableFrequencyCoefficient;
    public Integer pcsMaximumNumber;
    public String oneWayTimeConfiguration;
    public String stationTimeConfiguration;
    public String chargingTimeConfiguration;
    public String timeConfiguration;
    public Integer emsSingleStepMode;
    public Integer hybridStorageCompensation;

    public Decimal getInstantaneousPower() {
        return instantaneousPower;
    }

    public void setInstantaneousPower(Decimal instantaneousPower) {
        this.instantaneousPower = instantaneousPower;
    }

    public Decimal getAverageContinuousPower() {
        return averageContinuousPower;
    }

    public void setAverageContinuousPower(Decimal averageContinuousPower) {
        this.averageContinuousPower = averageContinuousPower;
    }

    public Decimal getAveragePower() {
        return averagePower;
    }

    public void setAveragePower(Decimal averagePower) {
        this.averagePower = averagePower;
    }

    public String getSingleParagraphDuration() {
        return singleParagraphDuration;
    }

    public void setSingleParagraphDuration(String singleParagraphDuration) {
        this.singleParagraphDuration = singleParagraphDuration;
    }

    public Integer getTotalNumberPlannedSegments() {
        return totalNumberPlannedSegments;
    }

    public void setTotalNumberPlannedSegments(Integer totalNumberPlannedSegments) {
        this.totalNumberPlannedSegments = totalNumberPlannedSegments;
    }

    public Decimal getBatteryEfficiency() {
        return batteryEfficiency;
    }

    public void setBatteryEfficiency(Decimal batteryEfficiency) {
        this.batteryEfficiency = batteryEfficiency;
    }

    public Decimal getDodDepth() {
        return dodDepth;
    }

    public void setDodDepth(Decimal dodDepth) {
        this.dodDepth = dodDepth;
    }

    public Decimal getVariableFrequencyCoefficient() {
        return variableFrequencyCoefficient;
    }

    public void setVariableFrequencyCoefficient(Decimal variableFrequencyCoefficient) {
        this.variableFrequencyCoefficient = variableFrequencyCoefficient;
    }

    public Integer getPcsMaximumNumber() {
        return pcsMaximumNumber;
    }

    public void setPcsMaximumNumber(Integer pcsMaximumNumber) {
        this.pcsMaximumNumber = pcsMaximumNumber;
    }

    public String getOneWayTimeConfiguration() {
        return oneWayTimeConfiguration;
    }

    public void setOneWayTimeConfiguration(String oneWayTimeConfiguration) {
        this.oneWayTimeConfiguration = oneWayTimeConfiguration;
    }

    public String getStationTimeConfiguration() {
        return stationTimeConfiguration;
    }

    public void setStationTimeConfiguration(String stationTimeConfiguration) {
        this.stationTimeConfiguration = stationTimeConfiguration;
    }

    public String getChargingTimeConfiguration() {
        return chargingTimeConfiguration;
    }

    public void setChargingTimeConfiguration(String chargingTimeConfiguration) {
        this.chargingTimeConfiguration = chargingTimeConfiguration;
    }

    public String getTimeConfiguration() {
        return timeConfiguration;
    }

    public void setTimeConfiguration(String timeConfiguration) {
        this.timeConfiguration = timeConfiguration;
    }

    public Integer getEmsSingleStepMode() {
        return emsSingleStepMode;
    }

    public void setEmsSingleStepMode(Integer emsSingleStepMode) {
        this.emsSingleStepMode = emsSingleStepMode;
    }

    public Integer getHybridStorageCompensation() {
        return hybridStorageCompensation;
    }

    public void setHybridStorageCompensation(Integer hybridStorageCompensation) {
        this.hybridStorageCompensation = hybridStorageCompensation;
    }

    @Override
    public String toString() {
        return "FracturingEngineeringVo{" +
                "instantaneousPower=" + instantaneousPower +
                ", averageContinuousPower=" + averageContinuousPower +
                ", averagePower=" + averagePower +
                ", singleParagraphDuration='" + singleParagraphDuration + '\'' +
                ", totalNumberPlannedSegments=" + totalNumberPlannedSegments +
                ", batteryEfficiency=" + batteryEfficiency +
                ", dodDepth=" + dodDepth +
                ", variableFrequencyCoefficient=" + variableFrequencyCoefficient +
                ", pcsMaximumNumber=" + pcsMaximumNumber +
                ", oneWayTimeConfiguration='" + oneWayTimeConfiguration + '\'' +
                ", stationTimeConfiguration='" + stationTimeConfiguration + '\'' +
                ", chargingTimeConfiguration='" + chargingTimeConfiguration + '\'' +
                ", timeConfiguration='" + timeConfiguration + '\'' +
                ", emsSingleStepMode=" + emsSingleStepMode +
                ", hybridStorageCompensation=" + hybridStorageCompensation +
                '}';
    }
}
